# Configuration for the REST API.
## Port : Port on which the server will listen REQUIRED
## Host : Binding Address of the server REQUIRED
rest_api:
  port: 5051
  host: "127.0.0.1"

oauth:
  services:
    - client_token: USER_SERVICE_TOKEN
      authorized_roles: 
        - "admin"
    - client_token: COURSE_SERVICE_TOKEN
      authorized_roles: 
        - "admin"
        - "editor"
        - "user"
    - client_token: COURSE_SERVICE_EDITOR_TOKEN
      authorized_roles: 
        - "admin"
        - "editor"
    - client_token: COURSE_SERVICE_ADMIN_TOKEN
      authorized_roles: 
        - "admin"
    - client_token: LOG_SERVICE_TOKEN
      authorized_roles: 
        - "admin"


yxstream:
        app: "oauth-service"
        logPath: "/var/log/yx/oauth/"
